/*

Copyright 2011 Danilo Gemoli <nylus77@libero.it>

This file is part of Snake_v1.0.

Snake_v1.0 is free software: you can redistribute it and/or
modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Snake_v1.0 is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Snake_v1.0.  If not, see
<http://www.gnu.org/licenses/>.

*/

#include "grafica.h"

void init_ncurses()
{
	initscr();
	start_color();
	nodelay( stdscr, true );
	noecho();
	keypad( stdscr, true );

	init_pair( 1, COLOR_RED, COLOR_BLACK );		
	init_pair( 2, COLOR_GREEN, COLOR_BLACK );	
	init_pair( 3, COLOR_YELLOW, COLOR_BLACK );
	init_pair( 4, COLOR_BLUE, COLOR_BLACK );	
	init_pair( 5, COLOR_CYAN, COLOR_BLACK );	
	init_pair( 6, COLOR_MAGENTA, COLOR_BLACK );	
	init_pair( 7, COLOR_WHITE, COLOR_BLACK );	
}

// VARIABILI GLOBALI PER TRASLARE DALLA MATRICE ALLO SCHERMO E VICEVERSA
int tras_col;
int tras_rig;

void gestione_schermo( const int colonne, const int righe )
{
	tras_col = ( COLS / 2 ) - ( colonne / 2 );
	tras_rig = ( LINES / 2 ) - ( righe / 2 );
}
